% Octave - Terry Duell March 2014
% This snippet to demo some image stuff
% and some plotting stuff

% set a scale factor  2 = halfsize
sc = 2; 
% set a gamma in case we want to adjust
imgamma = 1.0;

% read the image
fprintf('Reading images...\n')
I1 = imread('images/p1000984.jpg');
I2 = I1; % working version
% get size of image data
[h2,w2,chan2] = size(I2);

% rescale size and convert to double
I2 = imresize(I2(:,:,1:3),[uint16(h2/sc) uint16(w2/sc)]);
I2 = double(I2(:,:,1:3))/256;

%rescale I2 values to 1
I2(:,:,1) = I2(:,:,1) ./ max(max(I2(:,:,1)));
I2(:,:,2) = I2(:,:,2) ./ max(max(I2(:,:,2)));
I2(:,:,3) = I2(:,:,3) ./ max(max(I2(:,:,3)));

% display the original and bands
% subplot(rows,cols,index), index starts at top left and increments row-wise
figure
subplot(3,2,2,"align"); imshow(I2(:,:,1:3).^(1/imgamma)); title('original RGB'); % all 3 bands
subplot(3,2,1,"align"); imshow(I2(:,:,1).^(1/imgamma)); title('band-1');    % band 1
subplot(3,2,3,"align"); imshow(I2(:,:,2).^(1/imgamma)); title('band-2');    % band 2
subplot(3,2,5,"align"); imshow(I2(:,:,3).^(1/imgamma)); title('band-3');    % band 3

% Remove values outside [0,1]
I2 = min(max(I2,0),1);

% Convert to mean (grayscale) and display
I2 = mean(I2,3);
subplot(3,2,4,"align"); imshow(I2.^(1/imgamma)); title('mean greyscale'); % grey from mean

% use indexed image conversion to greyscale
[x,map] = rgb2ind(I1);
Igrey = ind2gray(x,map);
subplot(3,2,6,"align"); imshow(Igrey.^(1/imgamma)); title('grey from indexed image');    % grey from indexed


