% Human response to vibration (hrv) example
file1 = ("testveh_20.acc");% specify the input data files
file2 = ("testveh_30.acc");
files={file1,file2};% set up cell array with filenames
course={"Surface1","Surface2"};% set up cell array with surface names
datavals{1,1} = "Filename";% set up cell array with csv headers
datavals{1,2} = "Surface";
datavals{1,3} = "Time(sec)";
datavals{1,4} = "Filtered RMS (m/s^2)";
datavals{1,5} = "VDV (m.sec^-1.75)";
datavals{1,6} = "TVDV21 (h)";
datavals{1,7} = "TRMS115 (h)";
rec = 2;% increment the cell array counter
Fs = 200.0;% set the data sample rate
for j=1:2 % for each data file
	printf( '%s \n',files{j});
	data = load(files{j}); % read the data
	acc=data(:,1);         % get the acceleration
% do the sums
	[T,RMS,RMQ,VDV,TVDV21,TRMS115]= tldhrv2631(acc,Fs,"z","g"); % compute hrv
	datavals{rec,1} = files{j};% put calculated data into cell array
	datavals{rec,2} = course{j};
	datavals{rec,3} = T;
	datavals{rec,4} = RMS;
	datavals{rec,5} = VDV;
	datavals{rec,6} = TVDV21;
	datavals{rec,7} = TRMS115;
	rec =rec+1; % increment the cell array count
  figure % plot some data
  plot(acc)
  legend("Acceleration");
  xlabel("Secs");
  ylabel("g");
  figure
  [power,freq] = pwelch(acc(:,1),[],[],[],Fs);
  loglog(freq,power);
  xlabel("Hz");
  ylabel("g^2/Hz");
  clear acc;
  end
cell2csv("testveh_results.csv", datavals);% write data to csv file



